﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Money : MonoBehaviour {

    // total coins
    private static int coins = 0;
    public Text coinAmount;

	// Use this for initialization
	void Start () {
        // starting amount of cash at spawn (change for balance)
        coinAmount.text = coins.ToString();
	}
	
    // Method for increasing coin amount
    public void increaseCoins(int amount) {
        coins += amount;
        coinAmount.text = coins.ToString(); // not in update for performance reasons
    }

    // Method to decrease coin amount
    public void decreaseCoins(int amount) {
        coins -= amount;
        if (coins <= 0) { // can't fall below 0.
            coins = 0;
        }
        coinAmount.text = coins.ToString();
    }

    // Method to get coin amount
    public int getMoney() {
        return coins;
    }
}
